Get historical usage for the authenticated account's organization over a date range.
GET /organization/usage/history
GET
/organization/usage/history
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Query Parameters
Section titled “Query Parameters ” startDate
required
string
Start date (YYYY-MM-DD) for the range
endDate
required
string
End date (YYYY-MM-DD) for the range
Responses
Section titled “ Responses ”Successful response
Response for GET /organization/usage/history
object
items
required
Array of usage items, one per month in the requested range
Array<object>
Single usage item in historical response
object
yearMonth
required
Year-month (YYYY-MM) for this usage period
string
messageUsage
required
Total message usage (EMAIL + INAPP_WEB + WEB_PUSH + PUSH + SLACK)
number
budgetUsage
required
Total budget usage in USD (cost_SMS + cost_CALL)
number
costSms
required
SMS cost in USD
number
costCall
required
Call cost in USD
number
channelUsages
required
Per-channel usage breakdown
object
key
additional properties
number
Bad Request
Unauthorized
Internal Server Error